Modify

Opened 9 years ago

Closed 9 years ago

#4266 closed enhancement (fixed)

update mac80211

Reported by: Hauke <hauke@…> Owned by: developers
Priority: high Milestone: Features Paradise
Component: packages Version:
Keywords: Cc:

Description

This patch makes the b43 and b43legay driver build and load on every platform with at least kernel 2.6.25, on older platforms it will not be build.

The b43 driver uses the ssb framework out of the kernel on every platform, because it is build out of the kernel and not out of compat-wireless.

On kernel <= 2.6.26 the b43 driver is build against the old ssb API.

The mac80211 framework is pushed to version 2008-11-28. and the rt2800 driver is updated too.

The compat-wireless download form www.orbit-lab.org is not available for now, I will talk to Luis what happened. The version used in this package con be downloaded form http://wireless.kernel.org/download/compat-wireless-2.6/

I have tested this patch in VMware on x86 with kernel 2.6.24, 2.6.25, 2.6.26 and 2.6.27. With all kernel versions it builds and loads correctly. Tomorrow I will test it on brcm47xx.

The b43 driver shipped now is not loading correctly in VMware, because of unknown symbols.

Attachments (1)

0011-Update-mac80211-and-make-b43-driver-build-and-load-o.patch (136.9 KB) - added by Hauke <hauke@…> 9 years ago.
Update mac80211 and make b43 driver build and load on targets other than brcm47xx

Download all attachments as: .zip

Change History (2)

Changed 9 years ago by Hauke <hauke@…>

Update mac80211 and make b43 driver build and load on targets other than brcm47xx

comment:1 Changed 9 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

Applied in [13431], thanks !

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.